%global perlname XML-Entities

Name:      perl-XML-Entities
Version:   1.0002
Release:    1%{?dist}
Summary:   Decode strings with XML entities

License:   GPL+ or Artistic
URL:       https://metacpan.org/release/XML-Entities
Source0:    https://cpan.metacpan.org/authors/id/S/SI/SIXTEASE/%{perlname}-%{version}.tar.gz

BuildArch: noarch
BuildRequires: make
BuildRequires: perl-interpreter
BuildRequires: perl-generators
BuildRequires: perl(open)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTML::Parser) perl(LWP::Simple) perl(Test::More)


%{?perl_default_filter}


%description
This module provides a mapping from the standard XML entities to their Unicode
characters. A function for decoding is provided. The mapping can be generated
from a DTD file with entity definitions.


%prep
%setup -q -n %{perlname}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

make %{?_smp_mflags}


%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';' -print
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';' -print
%{_fixperms} %{buildroot}/*


%check
make test


%files
%doc Changes README
%{_mandir}/man3/XML*
%{_mandir}/man3/download-entities.*
%{_mandir}/man1/download-entities.*
%{_bindir}/download-entities.pl
%{perl_vendorlib}/XML


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0002-1
- initial build
